Skip to main content
POST
Create Deactivate Stake Request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network
enum<string>
required

Solana network:

  • `mainnet-beta` — production network.
  • `testnet` — testnet.
Available options:
mainnet-beta,
testnet

Body

application/json
feePayer
string
required

Account address that will pay the fee for the transaction.

Example:

"9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw"

stakeAccount
string
required

Account address that stores tokens for staking.

Example:

"9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw"

stakeAuthority
string
required

Account address that can perform staking operations with staking account.

Example:

"9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw"

nonceAccount
string

Account address that keeps the value of the nonce.

Example:

"9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw"

computeUnitLimit
integer<int64>

Maximum computational effort limit for the transaction measured in compute units.

Required range: x >= 1
Example:

300

computeUnitPrice
integer<int64>

Price of a compute unit for the transaction in micro-lamports (1 lamport = 10⁶ micro-lamports).

Required range: x >= 1
Example:

20000

Response

OK

Standard API success response envelope wrapping the result payload.

error
object | null
required

Error object. Always null on successful responses.

result
object
required

Response payload containing the requested data.